> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get URL to sender view UI

POST https://demo.docusign.net/restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/views/sender
Content-Type: application/json

Returns a URL that enables you to embed the sender view of the DocuSign UI in your applications.The returned URL can only be redirected to immediately after it is generated. It can only be used once.
Therefore, request the URL immediately before you redirect your user to it.For the best user experience, don't use an iFrame. For iOS devices DocuSign recommends using a WebView\.Multiple solutions are available for maintaining your
client state. See the **Maintaining State** section of the [Embedded Signing introduction.](https://developers.docusign.com/esign-rest-api/guides/embedded-signing)After the user has completed the sending view, the browser is redirected to the `returnUrl` supplied.By default, if the envelope already contains one or more documents, DocuSign will initially show the document tagging view when you redirect to the URL.To start with the envelope's recipients and documents view instead, examine the URL in the method's response.
Then change the query parameter from `send=1` to `send=0` to start with the recipients/documents view\.Information Security notice: This method provides full access to the sender's user account.
When you use this view, the sender has full access to the user account. If the sender user account has administrative privileges, then this method also provides administrator access.If your use case needs to enable a sender to update a draft envelope before it is sent, then either:Configure each sender to have their own individual user account to use this API method.Enhance your API integration so that this method is not needed. Your integration can create the tabs, recipients and other envelope settings as needed.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/envelopes/envelopeviews/createsender

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `envelopeId` (string, required) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

### Body (application/json)

This endpoint expects a returnUrlRequest.

- `returnUrl` (string, optional) — Your app's return url that the user will be redirected to after sending the envelope or completing the sending/tagging view. Query parameters `envelopeId` and `event` will be added to the URL. The event parameter values: * `Send` (the user sent the envelope) * `Save` (the user saved the envelope, it is still a draft) * `Cancel` (the user canceled the sending transaction) * `Error` (there was an error during the send operation) * `SessionEnd` (the sending session ended before the user completed a different action)

## Response

### 201

Successful response.

- `url` (string, optional) — The view URL to be navigated to.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "url": "string"
}
```